• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Using Hammurapi in RAD

 
Ramesh Jothimani
Ranch Hand
Posts: 70
Android Eclipse IDE Hibernate
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I want to use a Source code analyser to check my J2EE Application Codestyle and Standards. I tried to use Hammurapi but couldn't .Please suggest how can we use it in RAD and also suggest if there are any other good plugins to analyse the source code.

Thanks
 
Jeanne Boyarsky
author & internet detective
Marshal
Posts: 34870
369
Eclipse IDE Java VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
You didn't say what "couldn't" means making it difficult to help you.

What version of RAD are you on? Remember that RAD uses old Eclipse versions so maybe Hammurapi isn't compatible with it. Or you need an older version. Also, this product hasn't been touched since 2006. Is it even supported at this point?

Consider using PMD or FindBugs. Both are active and in wide use. Both offer excellent Eclipse integration.
 
Ramesh Jothimani
Ranch Hand
Posts: 70
Android Eclipse IDE Hibernate
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Jeanne Boyarsky wrote:You didn't say what "couldn't" means making it difficult to help you.

What version of RAD are you on? Remember that RAD uses old Eclipse versions so maybe Hammurapi isn't compatible with it. Or you need an older version. Also, this product hasn't been touched since 2006. Is it even supported at this point?

Consider using PMD or FindBugs. Both are active and in wide use. Both offer excellent Eclipse integration.


I have got the Hammurapi Jar and associated files . I copied the plugins and features contents of Hammurapi to RAD but Hammurapi option does not exist in Window -> Preferences. I am not sure about the support. I have mailed Hammurapi support team asking for help couple of weeks back but there is no response from them yet.

Kindly suggest versions of PMD / FindBugs which I should use for RAD 7.5.3. I have tried installing it in eclipse, it's excellent but in RAD I couldn't.I am getting some dependency errors.

Thanks
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic